### Function

# Camel header_contentid_decode

#### Declaration [src]

    gchar*
    camel_header_contentid_decode (
      const gchar* in
    )

#### Description [src]

Extract a content-id from `in`.

#### Parameters

`in`

  Type: `const gchar*`

  Input string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The extracted content-id.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.